Skip to content

Return hotel availability.

Request

Hotel Availability returns room types and rates available at one or more specified properties on specified dates.

Security
bearerAuth
Headers
TraceIdstring, [ 10 .. 89 ] characters(^[a-zA-Z-0-9_]*[-]?[+]?$)

Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
TVP-Correlation-Idstring, (uuid)

Identifier used to correlate hotel API invocations across a multi-call business flows.

Example:382c74c3-721d-4f34-80e5-57657b6cbc27
Bodyapplication/jsonrequired
CatalogOfferingsQueryRequestobject(CatalogOfferingsQueryRequest)

Used for a Hotel Availability request. Defines a request to retrieve available room types and rates for one or more specified hotel properties on given stay dates. This request typically follows a Hotel Search request and is sent before booking.

curl -i -X POST \
  https://developer.travelport.com/_mock/apis/stays/hotel/availability/catalogofferingshospitality \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-Correlation-Id: 382c74c3-721d-4f34-80e5-57657b6cbc27' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -d '{
    "CatalogOfferingsQueryRequest": {
      "@type": "CatalogOfferingsRequestHospitality",
      "CatalogOfferingsRequest": [
        {
          "@type": "CatalogOfferingsRequestHospitality",
          "verboseResponseInd": true,
          "requestedCurrency": "EUR",
          "StayDates": {
            "start": "2026-12-01",
            "end": "2026-12-02"
          },
          "HotelSearchCriterion": {
            "@type": "HotelSearchCriterion",
            "numberOfRooms": 1,
            "PropertyRequest": [
              {
                "@type": "PropertyRequest",
                "PropertyKey": {
                  "propertyCode": "95075",
                  "chainCode": "HH",
                  "@type": "PropertyKey"
                }
              },
              {
                "@type": "PropertyRequest",
                "PropertyKey": {
                  "propertyCode": "02892",
                  "chainCode": "MD",
                  "@type": "PropertyKey"
                }
              },
              {
                "@type": "PropertyRequest",
                "PropertyKey": {
                  "propertyCode": "12153",
                  "chainCode": "BR",
                  "@type": "PropertyKey"
                }
              }
            ],
            "RoomStayCandidates": {
              "@type": "RoomStayCandidates",
              "RoomStayCandidate": [
                {
                  "@type": "RoomStayCandidate",
                  "GuestCounts": {
                    "@type": "GuestCounts",
                    "GuestCount": [
                      {
                        "count": 2,
                        "@type": "GuestCount"
                      }
                    ]
                  }
                }
              ]
            }
          }
        }
      ]
    }
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
CatalogOfferingsHospitalityResponseobject(CatalogOfferingsHospitalityResponse)

The response of a Catalog Offerings hospitality endpoint request. By default, common information from each room offer is consolidated into the single object ReferenceList. If the optional verboseResponseInd indicator is sent in the request, ReferenceList is not returned and common property details are not grouped.

Response
{ "CatalogOfferingsHospitalityResponse": { "@type": "response", "CatalogOfferings": { "@type": "CatalogOfferings", "id": "CatalogOfferings_1", "Identifier": {}, "totalCatalogOffering": 0, "catalogOfferingPerPage": 0, "numberOfPages": 5, "CatalogOffering": [], "AncillaryOffering": [] }, "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }